Subject: Re: bug#70386: 30.0.50; (recenter 0 t) does not put point on top of the window

From: Ihor Radchenko <[email-masked]>
Date: Sat, 11 May 2024 18:00:25 +0000

Eli Zaretskii <[email-masked]> writes:

>> See my recording of emacs -Q:
>> https://0x0.st/XKzU.mp4
>
> Does that really answer the questions above?
>
> Btw, the "input" which interrupts while-no-input might come from
> sources you might not expect.
>
> All in all, I don't understand what is this bug about, for quite some
> time.  I fail to see anything here that is worth keeping to dig into
> this.

When I have

(progn
 ...
 (recenter 0 t))

I expect the final result to be just the same as

(recenter 0 t)

but it is not what I am seeing.

Is it more clear?

-- 
Ihor Radchenko // yantar92,
Org mode contributor,
Learn more about Org mode at <https://orgmode.org/>.
Support Org development at <https://liberapay.com/org-mode>,
or support my work at <https://liberapay.com/yantar92>